h1 {
    font-size: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#chat {
    height: 850px;
}

.box {
    display: inline-block;
    vertical-align: bottom;
}

form {
    position: relative;
    padding-left: 24px;
    alignment: bottom;
}

input {
    width: 100%;
    height: 30px;
    font-family: "SanFrancisco";
    font-size: 1.25rem;
}

img {
    width: 40vw;
    display: inline-block;
}

/* Chat-box Styling */
.imessage {
    background-color: #fff;
    display: flex;
    flex-direction: column;
    font-family: "SanFrancisco";
    font-size: 1.25rem;
    max-width: 900px;
    width: 40vw;
    padding: 0.5rem 1.5rem;
    justify-content: flex-end;
}

.imessage p {
    border-radius: 1.15rem;
    line-height: 1.25;
    max-width: 75%;
    padding: 0.5rem .875rem;
    position: relative;
    word-wrap: break-word;
}

.imessage p::before,
.imessage p::after {
    bottom: -0.1rem;
    content: "";
    height: 1rem;
    position: absolute;
}

p.from-them {
    align-self: flex-end;
    background-color: #e5e5ea;
    color: #000;
}

p.from-them::before {
    border-bottom-left-radius: 0.8rem 0.7rem;
    border-left: 1rem solid #e5e5ea;
    right: -0.35rem;
    transform: translate(0, -0.1rem);
}

p.from-them::after {
    background-color: #fff;
    border-bottom-left-radius: 0.5rem;
    right: -40px;
    transform:translate(-30px, -2px);
    width: 10px;
}

p[class^="from-"] {
    margin: 0.5rem 0;
    width: fit-content;
}

p.from-them ~ p.from-them {
    margin: 0.25rem 0 0;
}

p.from-them ~ p.from-them:not(:last-child) {
    margin: 0.25rem 0 0;
}

p.from-them ~ p.from-them:last-child {
    margin-bottom: 0.5rem;
}

p.from-me {
    align-items: flex-start;
    background-color: #248bf5;
    color: #fff;
}

p.from-me:before {
    border-bottom-right-radius: 0.8rem 0.7rem;
    border-right: 1rem solid #248bf5;
    left: -0.35rem;
    transform: translate(0, -0.1rem);
}

p.from-me::after {
    background-color: #fff;
    border-bottom-right-radius: 0.5rem;
    left: 20px;
    transform: translate(-30px, -2px);
    width: 10px;
}

p[class^="from-"].emoji {
    background: none;
    font-size: 2.5rem;
}

p[class^="from-"].emoji::before {
    content: none;
}

.no-tail::before {
    display: none;
}

.margin-b_none {
    margin-bottom: 0 !important;
}

.margin-b_one {
    margin-bottom: 1rem !important;
}

.margin-t_one {
    margin-top: 1rem !important;
}